Bug 12451 - missing(late) class forward declaration in cxxabi.h
Summary: missing(late) class forward declaration in cxxabi.h
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.3.2
: P2 normal
Target Milestone: 3.3.2
Assignee: Benjamin Kosnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-29 22:15 UTC by Debian GCC Maintainers
Modified: 2003-10-03 01:13 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2003-09-29 22:43:20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian GCC Maintainers 2003-09-29 22:15:11 UTC
[forwarded from http://bugs.debian.org/209386]

reported for 3.3.2 CVS 20030909

The class declaration for __class_type_info is missing at line 184 in
cxxabi.h.

Please apply following patch:

=====================================================================
--- /usr/include/c++/3.3/cxxabi.h	2003-08-31 13:36:42.000000000 +0200
+++ cxxabi.h	2003-09-09 19:01:41.000000000 +0200
@@ -175,6 +175,8 @@
                                 unsigned __outer) const;
 };
 
+class __class_type_info;
+
 /* type information for a pointer to member variable */
 class __pointer_to_member_type_info
   : public __pbase_type_info
@@ -201,8 +203,6 @@
                                 unsigned __outer) const;
 };
 
-class __class_type_info;
-
 /* helper class for __vmi_class_type */
 class __base_class_type_info
 {
=====================================================================
Comment 1 Andrew Pinski 2003-09-29 22:43:20 UTC
I can confirm that this patch is needed for the mainline.
Comment 2 CVS Commits 2003-10-03 00:36:51 UTC
Subject: Bug 12451

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	bkoz@gcc.gnu.org	2003-10-03 00:36:45

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/libsupc++: cxxabi.h 

Log message:
	2003-10-02  Harald Boehme  <boehme@informatik.hu-berlin.de>
	
	PR libstdc++/12451
	* libsupc++/cxxabi.h: Move forward declaration of __class_type_info.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.1991&r2=1.1992
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/libsupc++/cxxabi.h.diff?cvsroot=gcc&r1=1.14&r2=1.15

Comment 3 CVS Commits 2003-10-03 00:37:30 UTC
Subject: Bug 12451

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	bkoz@gcc.gnu.org	2003-10-03 00:37:27

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/libsupc++: cxxabi.h 

Log message:
	2003-10-02  Harald Boehme  <boehme@informatik.hu-berlin.de>
	
	PR libstdc++/12451
	* libsupc++/cxxabi.h: Move forward declaration of __class_type_info.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.1464.2.149&r2=1.1464.2.150
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/libsupc++/cxxabi.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.11&r2=1.11.2.1

Comment 4 Andrew Pinski 2003-10-03 01:13:53 UTC
Fixed for 3.3.2 and 3.4.